=== modified file 'Koo/Actions/Actions.py' (properties changed: -x to +x)
=== modified file 'Koo/Actions/Wizard.py' (properties changed: -x to +x)
--- Koo/Actions/Wizard.py	2008-12-26 17:49:17 +0000
+++ Koo/Actions/Wizard.py	2009-01-11 13:27:45 +0000
@@ -36,7 +36,7 @@
 from Koo.Common import Common
 from Koo.Common import Icons
 
-from Screen import Screen
+from Koo.Screen.Screen import Screen
 from Koo.Model.Group import ModelRecordGroup
 
 ## @brief The WizardPage class shows a QDialog with the information givenin one wizard step.

=== modified file 'Koo/Actions/__init__.py' (properties changed: -x to +x)
=== modified file 'Koo/Common/Api.py' (properties changed: -x to +x)
=== modified file 'Koo/Common/Calendar.py' (properties changed: -x to +x)
=== modified file 'Koo/Common/Common.py' (properties changed: -x to +x)
=== modified file 'Koo/Common/Icons.py' (properties changed: -x to +x)
=== modified file 'Koo/Common/Localization.py' (properties changed: -x to +x)
=== modified file 'Koo/Common/Notifier.py' (properties changed: -x to +x)
=== modified file 'Koo/Common/Numeric.py' (properties changed: -x to +x)
=== modified file 'Koo/Common/Options.py' (properties changed: -x to +x)
=== modified file 'Koo/Common/Paths.py' (properties changed: -x to +x)
=== modified file 'Koo/Common/Plugins.py'
--- Koo/Common/Plugins.py	2009-01-10 15:56:50 +0000
+++ Koo/Common/Plugins.py	2009-01-11 13:27:45 +0000
@@ -34,11 +34,14 @@
 		# If it's run using py2exe environment, all files will be in a single 
 		# zip file and we can't use listdir() to find all available plugins.
 		zipFiles = pluginImports.__loader__._files
-		moduleDir = os.path.join( module.split(',') )
+		moduleDir = '\\'.join( module.split('.') )
 		files = [zipFiles[file][0] for file in zipFiles.keys() if moduleDir in file]
 		files = [file for file in files if '__init__.py' in file]
 		for file in files:
-			newModule = os.path.basename(os.path.dirname(a))
+			d = os.path.dirname(file)
+			if d.endswith( moduleDir ):
+				continue
+			newModule = os.path.basename(os.path.dirname(file))
 			__import__( '%s.%s' % (module, newModule), globals(), locals(), [newModule] ) 
 	else:
 		for i in os.listdir(directory):

=== modified file 'Koo/Common/Shortcuts.py' (properties changed: -x to +x)
=== modified file 'Koo/Common/ViewSettings.py' (properties changed: -x to +x)
=== modified file 'Koo/Common/__init__.py' (properties changed: -x to +x)
=== modified file 'Koo/Common/common_rc.py' (properties changed: -x to +x)
=== modified file 'Koo/Dialogs/AdministratorPasswordDialog.py' (properties changed: -x to +x)
=== modified file 'Koo/Dialogs/AttachmentDialog.py' (properties changed: -x to +x)
=== modified file 'Koo/Dialogs/DatabaseCreationDialog.py' (properties changed: -x to +x)
=== modified file 'Koo/Dialogs/DatabaseDialog.py' (properties changed: -x to +x)
=== modified file 'Koo/Dialogs/ExportDialog.py' (properties changed: -x to +x)
--- Koo/Dialogs/ExportDialog.py	2008-12-01 22:28:25 +0000
+++ Koo/Dialogs/ExportDialog.py	2009-01-11 13:27:45 +0000
@@ -35,7 +35,6 @@
 from Koo.Common import Common
 
 from Koo import Rpc
-import sets
 
 import types
 import os

=== modified file 'Koo/Dialogs/FormWidget.py' (properties changed: -x to +x)
--- Koo/Dialogs/FormWidget.py	2008-12-28 11:43:27 +0000
+++ Koo/Dialogs/FormWidget.py	2009-01-11 13:27:45 +0000
@@ -41,7 +41,7 @@
 from Koo.Common import Options
 import copy
 
-from Screen import Screen
+from Koo.Screen.Screen import *
 from Koo.Model.Group import ModelRecordGroup
 from PyQt4.QtCore import *
 from PyQt4.QtGui import *

=== modified file 'Koo/Dialogs/FullTextSearchDialog.py' (properties changed: -x to +x)
=== modified file 'Koo/Dialogs/GoToIdDialog.py' (properties changed: -x to +x)
=== modified file 'Koo/Dialogs/ImportDialog.py' (properties changed: -x to +x)
=== modified file 'Koo/Dialogs/ImportExportCommon.py' (properties changed: -x to +x)
=== modified file 'Koo/Dialogs/LoginDialog.py' (properties changed: -x to +x)
=== modified file 'Koo/Dialogs/PreferencesDialog.py' (properties changed: -x to +x)
--- Koo/Dialogs/PreferencesDialog.py	2008-12-26 17:49:17 +0000
+++ Koo/Dialogs/PreferencesDialog.py	2009-01-11 13:27:45 +0000
@@ -37,7 +37,7 @@
 from Koo.Common import Common
 import copy
 
-from Screen import Screen
+from Koo.Screen.Screen import Screen
 from Koo.Model.Group import ModelRecordGroup
 
 (PreferencesDialogUi, PreferencesDialogBase) = loadUiType( Common.uiPath('preferences.ui') )

=== modified file 'Koo/Dialogs/SearchDialog.py' (properties changed: -x to +x)
--- Koo/Dialogs/SearchDialog.py	2009-01-05 00:53:01 +0000
+++ Koo/Dialogs/SearchDialog.py	2009-01-11 13:27:45 +0000
@@ -32,9 +32,8 @@
 
 from Koo import Rpc
 
-from Screen import Screen
+from Koo.Screen import Screen
 from Koo.Model.Group import ModelRecordGroup
-import Search
 
 
 from PyQt4.QtGui import *

=== modified file 'Koo/Dialogs/ServerConfigurationDialog.py' (properties changed: -x to +x)
=== modified file 'Koo/Dialogs/TreeWidget.py' (properties changed: -x to +x)
=== modified file 'Koo/Dialogs/WindowService.py' (properties changed: -x to +x)
=== modified file 'Koo/Dialogs/__init__.py' (properties changed: -x to +x)
=== modified file 'Koo/Fields/AbstractFieldDelegate.py' (properties changed: -x to +x)
=== modified file 'Koo/Fields/Action/ActionFieldWidget.py'
--- Koo/Fields/Action/ActionFieldWidget.py	2009-01-10 15:56:50 +0000
+++ Koo/Fields/Action/ActionFieldWidget.py	2009-01-11 13:27:45 +0000
@@ -32,7 +32,7 @@
 from Koo.Common import Common
 
 
-from Screen import Screen
+from Koo.Screen.Screen import Screen
 from Koo.Model.Group import ModelRecordGroup
 
 from Koo import Rpc

=== modified file 'Koo/Fields/FieldPreferencesDialog.py' (properties changed: -x to +x)
=== modified file 'Koo/Fields/ManyToMany/ManyToMany.py'
--- Koo/Fields/ManyToMany/ManyToMany.py	2009-01-10 15:56:50 +0000
+++ Koo/Fields/ManyToMany/ManyToMany.py	2009-01-11 13:27:45 +0000
@@ -34,7 +34,7 @@
 from Koo.Common import Common
 from Koo import Rpc
 
-from Screen import Screen
+from Koo.Screen.Screen import Screen
 from Koo.Model.Group import ModelRecordGroup
 from Koo.Fields.AbstractFieldWidget import *
 from Koo.Fields.AbstractFieldDelegate import *

=== modified file 'Koo/Fields/ManyToOne/ManyToOne.py'
--- Koo/Fields/ManyToOne/ManyToOne.py	2009-01-10 15:56:50 +0000
+++ Koo/Fields/ManyToOne/ManyToOne.py	2009-01-11 13:27:45 +0000
@@ -32,7 +32,7 @@
 from Koo.Common import Common
 from Koo.Common import Shortcuts
 
-from Screen import Screen
+from Koo.Screen.Screen import Screen
 from Koo.Model.Group import ModelRecordGroup
 
 from Koo.Dialogs.SearchDialog import SearchDialog

=== modified file 'Koo/Fields/OneToMany/OneToMany.py'
--- Koo/Fields/OneToMany/OneToMany.py	2009-01-10 15:56:50 +0000
+++ Koo/Fields/OneToMany/OneToMany.py	2009-01-11 13:27:45 +0000
@@ -33,7 +33,7 @@
 from Koo.Fields.AbstractFieldWidget import *
 from Koo.Fields.AbstractFieldDelegate import *
 from Koo.Common import Common
-from Screen import Screen
+from Koo.Screen.Screen import Screen
 from Koo.Model.Group import ModelRecordGroup
 
 (ScreenDialogUi, ScreenDialogBase) = loadUiType( Common.uiPath('dia_form_win_many2one.ui') ) 

=== modified file 'Koo/Fields/TranslationDialog.py' (properties changed: -x to +x)
=== modified file 'Koo/Fields/__init__.py' (properties changed: -x to +x)
=== modified file 'Koo/KooChart/AbstractGraphicsChartItem.py' (properties changed: -x to +x)
=== modified file 'Koo/KooChart/GraphicsBarChartItem.py' (properties changed: -x to +x)
=== modified file 'Koo/KooChart/GraphicsPieChartItem.py' (properties changed: -x to +x)
=== modified file 'Koo/KooChart/__init__.py' (properties changed: -x to +x)
=== modified file 'Koo/Model/Field.py' (properties changed: -x to +x)
=== modified file 'Koo/Model/Group.py' (properties changed: -x to +x)
=== modified file 'Koo/Model/KooModel.py' (properties changed: -x to +x)
=== modified file 'Koo/Model/Record.py' (properties changed: -x to +x)
=== modified file 'Koo/Model/__init__.py' (properties changed: -x to +x)
=== modified file 'Koo/Printer/Printer.py' (properties changed: -x to +x)
=== modified file 'Koo/Printer/__init__.py' (properties changed: -x to +x)
=== modified file 'Koo/Rpc/Cache.py' (properties changed: -x to +x)
=== modified file 'Koo/Rpc/Rpc.py' (properties changed: -x to +x)
=== modified file 'Koo/Rpc/__init__.py' (properties changed: -x to +x)
=== modified file 'Koo/Rpc/tiny_socket.py' (properties changed: -x to +x)
=== modified file 'Koo/Screen/Screen.py'
--- Koo/Screen/Screen.py	2009-01-05 15:09:04 +0000
+++ Koo/Screen/Screen.py	2009-01-11 13:27:45 +0000
@@ -42,7 +42,7 @@
 from PyQt4.QtCore import *
 from PyQt4.QtGui import *
 
-import Search
+from Koo.Search import SearchFormWidget
 from Koo.Plugins import *
 from ToolBar import ToolBar
 from Action import *
@@ -75,7 +75,7 @@
 
 		self.container.show()
 
-		self.searchForm = Search.SearchFormWidget(self.container)
+		self.searchForm = SearchFormWidget(self.container)
 		self.connect( self.searchForm, SIGNAL('search()'), self.search )
 		self.connect( self.searchForm, SIGNAL('keyDownPressed()'), self.setFocusToView )
 		self.searchForm.hide()

=== modified file 'Koo/Screen/ToolBar.py' (properties changed: -x to +x)
=== modified file 'Koo/Screen/ViewQueue.py' (properties changed: -x to +x)
=== modified file 'Koo/Screen/__init__.py' (properties changed: -x to +x)
--- Koo/Screen/__init__.py	2008-10-27 15:16:32 +0000
+++ Koo/Screen/__init__.py	2009-01-11 13:27:45 +0000
@@ -25,4 +25,4 @@
 #
 ##############################################################################
 
-from Screen import Screen
+from Koo.Screen import Screen

=== modified file 'Koo/Search/AbstractSearchWidget.py' (properties changed: -x to +x)
=== modified file 'Koo/Search/CharSearchWidget.py' (properties changed: -x to +x)
=== modified file 'Koo/Search/CheckBoxSearchWidget.py' (properties changed: -x to +x)
=== modified file 'Koo/Search/DateSearchWidget.py' (properties changed: -x to +x)
=== modified file 'Koo/Search/FloatSearchWidget.py' (properties changed: -x to +x)
=== modified file 'Koo/Search/IntegerSearchWidget.py' (properties changed: -x to +x)
=== modified file 'Koo/Search/ReferenceSearchWidget.py' (properties changed: -x to +x)
=== modified file 'Koo/Search/SearchFormWidget.py' (properties changed: -x to +x)
=== modified file 'Koo/Search/SelectionSearchWidget.py' (properties changed: -x to +x)
=== modified file 'Koo/Search/TimeSearchWidget.py' (properties changed: -x to +x)
=== modified file 'Koo/Search/__init__.py' (properties changed: -x to +x)
=== modified file 'Koo/View/AbstractParser.py' (properties changed: -x to +x)
=== modified file 'Koo/View/AbstractView.py' (properties changed: -x to +x)
=== modified file 'Koo/View/Calendar/Calendar.py' (properties changed: -x to +x)
=== modified file 'Koo/View/Calendar/Parser.py' (properties changed: -x to +x)
=== modified file 'Koo/View/Chart/ChartGraphicsView.py' (properties changed: -x to +x)
=== modified file 'Koo/View/Chart/ChartView.py' (properties changed: -x to +x)
=== modified file 'Koo/View/Chart/Parser.py' (properties changed: -x to +x)
=== modified file 'Koo/View/Svg/Parser.py' (properties changed: -x to +x)
=== modified file 'Koo/View/Svg/SvgView.py' (properties changed: -x to +x)
=== modified file 'Koo/View/Svg/restaurant.svg' (properties changed: -x to +x)
=== modified file 'Koo/View/__init__.py' (properties changed: -x to +x)
=== modified file 'Koo/__init__.py' (properties changed: -x to +x)
=== modified file 'Koo/koo.py'
--- Koo/koo.py	2008-11-05 21:30:16 +0000
+++ Koo/koo.py	2009-01-11 13:27:45 +0000
@@ -29,6 +29,9 @@
 #
 ##############################################################################
 
+# Added so py2exe properly packs xml.etree.ElementTree
+from xml.etree.ElementTree import parse, SubElement
+
 import sys, os
 import logging
 
@@ -149,7 +152,7 @@
 
 from Koo.Dialogs.KooMainWindow import *
 from Koo.Dialogs.WindowService import *
-import Actions
+import Koo.Actions
 
 win = KooMainWindow()
 
@@ -157,16 +160,16 @@
 
 class KooApi(Api.KooApi):
 	def execute(self, actionId, data={}, type=None, context={}):
-		Actions.execute( actionId, data, type, context )
+		Koo.Actions.execute( actionId, data, type, context )
 
 	def executeReport(self, name, data={}, context={}):
-		return Actions.executeReport( name, data, context )
+		return Koo.Actions.executeReport( name, data, context )
 
 	def executeAction(self, action, data={}, context={}):
-		Actions.executeAction( action, data, context )
+		Koo.Actions.executeAction( action, data, context )
 		
 	def executeKeyword(self, keyword, data={}, context={}):
-		return Actions.executeKeyword( keyword, data, context )
+		return Koo.Actions.executeKeyword( keyword, data, context )
 
 	def createWindow(self, view_ids, model, res_id=False, domain=None, 
 			view_type='form', window=None, context=None, mode=None, name=False, autoReload=False):

=== modified file 'Koo/kootips.txt' (properties changed: -x to +x)
=== modified file 'Koo/l10n/al.po' (properties changed: -x to +x)
=== modified file 'Koo/l10n/al.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/al.ts' (properties changed: -x to +x)
=== modified file 'Koo/l10n/al/LC_MESSAGES/koo.mo' (properties changed: -x to +x)
=== modified file 'Koo/l10n/ca_ES.po' (properties changed: -x to +x)
=== modified file 'Koo/l10n/ca_ES.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/ca_ES.ts' (properties changed: -x to +x)
=== modified file 'Koo/l10n/ca_ES/LC_MESSAGES/koo.mo' (properties changed: -x to +x)
=== modified file 'Koo/l10n/cs.po' (properties changed: -x to +x)
=== modified file 'Koo/l10n/cs.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/cs.ts' (properties changed: -x to +x)
=== modified file 'Koo/l10n/cs/LC_MESSAGES/koo.mo' (properties changed: -x to +x)
=== modified file 'Koo/l10n/de_DE.po' (properties changed: -x to +x)
=== modified file 'Koo/l10n/de_DE.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/de_DE.ts' (properties changed: -x to +x)
=== modified file 'Koo/l10n/de_DE/LC_MESSAGES/koo.mo' (properties changed: -x to +x)
=== modified file 'Koo/l10n/es_ES.po' (properties changed: -x to +x)
=== modified file 'Koo/l10n/es_ES.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/es_ES.ts' (properties changed: -x to +x)
=== modified file 'Koo/l10n/es_ES/LC_MESSAGES/koo.mo' (properties changed: -x to +x)
=== modified file 'Koo/l10n/fr.po' (properties changed: -x to +x)
=== modified file 'Koo/l10n/fr.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/fr.ts' (properties changed: -x to +x)
=== modified file 'Koo/l10n/fr/LC_MESSAGES/koo.mo' (properties changed: -x to +x)
=== modified file 'Koo/l10n/hu.po' (properties changed: -x to +x)
=== modified file 'Koo/l10n/hu.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/hu.ts' (properties changed: -x to +x)
=== modified file 'Koo/l10n/hu/LC_MESSAGES/koo.mo' (properties changed: -x to +x)
=== modified file 'Koo/l10n/it.po' (properties changed: -x to +x)
=== modified file 'Koo/l10n/it.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/it.ts' (properties changed: -x to +x)
=== modified file 'Koo/l10n/it/LC_MESSAGES/koo.mo' (properties changed: -x to +x)
=== modified file 'Koo/l10n/koo.pot' (properties changed: -x to +x)
=== modified file 'Koo/l10n/ktiny.pot' (properties changed: -x to +x)
=== modified file 'Koo/l10n/pt.po' (properties changed: -x to +x)
=== modified file 'Koo/l10n/pt.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/pt.ts' (properties changed: -x to +x)
=== modified file 'Koo/l10n/pt/LC_MESSAGES/koo.mo' (properties changed: -x to +x)
=== modified file 'Koo/l10n/qt_ar.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/qt_ca.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/qt_de.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/qt_es.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/qt_fr.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/qt_iw.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/qt_ja_jp.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/qt_pl.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/qt_pt.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/qt_ru.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/qt_sk.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/qt_sv.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/qt_uk.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/qt_zh_CN.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/qt_zh_TW.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/ro.po' (properties changed: -x to +x)
=== modified file 'Koo/l10n/ro.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/ro.ts' (properties changed: -x to +x)
=== modified file 'Koo/l10n/ro/LC_MESSAGES/koo.mo' (properties changed: -x to +x)
=== modified file 'Koo/l10n/ru.po' (properties changed: -x to +x)
=== modified file 'Koo/l10n/ru.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/ru.ts' (properties changed: -x to +x)
=== modified file 'Koo/l10n/ru/LC_MESSAGES/koo.mo' (properties changed: -x to +x)
=== modified file 'Koo/l10n/sv.po' (properties changed: -x to +x)
=== modified file 'Koo/l10n/sv.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/sv.ts' (properties changed: -x to +x)
=== modified file 'Koo/l10n/sv/LC_MESSAGES/koo.mo' (properties changed: -x to +x)
=== modified file 'Koo/l10n/uk.po' (properties changed: -x to +x)
=== modified file 'Koo/l10n/uk.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/uk.ts' (properties changed: -x to +x)
=== modified file 'Koo/l10n/uk/LC_MESSAGES/koo.mo' (properties changed: -x to +x)
=== modified file 'Koo/l10n/zh.po' (properties changed: -x to +x)
=== modified file 'Koo/l10n/zh.qm' (properties changed: -x to +x)
=== modified file 'Koo/l10n/zh.ts' (properties changed: -x to +x)
=== modified file 'Koo/l10n/zh/LC_MESSAGES/koo.mo' (properties changed: -x to +x)
=== modified file 'Koo/nan.qss' (properties changed: -x to +x)
=== modified file 'Koo/ui/about.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/admin_passwd.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/binary.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/calendar.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/calendarview.ui' (properties changed: -x to +x)
--- Koo/ui/calendarview.ui	2008-11-26 22:28:35 +0000
+++ Koo/ui/calendarview.ui	2009-01-11 13:27:45 +0000
@@ -109,7 +109,7 @@
   <customwidget>
    <class>GraphicsCalendarView</class>
    <extends>QGraphicsView</extends>
-   <header>View.Calendar.Calendar</header>
+   <header>Koo.View.Calendar.Calendar</header>
   </customwidget>
  </customwidgets>
  <resources/>

=== modified file 'Koo/ui/change_server.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/choosedb.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/common.qrc' (properties changed: -x to +x)
=== modified file 'Koo/ui/common.rcc' (properties changed: -x to +x)
=== modified file 'Koo/ui/create_database.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/datetime.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/dbcreateok.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/dia_form_win_many2one.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/error.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/field_preferences.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/formcontainer.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/full_text_search.ui' (properties changed: -x to +x)
--- Koo/ui/full_text_search.ui	2008-11-29 19:02:41 +0000
+++ Koo/ui/full_text_search.ui	2009-01-11 13:27:45 +0000
@@ -168,7 +168,7 @@
   <customwidget>
    <class>SearchView</class>
    <extends>QWidget</extends>
-   <header>Dialogs.FullTextSearchDialog</header>
+   <header>Koo.Dialogs.FullTextSearchDialog</header>
    <container>1</container>
   </customwidget>
  </customwidgets>

=== modified file 'Koo/ui/gotoid.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/image.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/account.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/action.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/administration.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/attach.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/calendar.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/cancel.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/chart.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/clock.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/close.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/close_tab.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/configure.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/connect.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/contexthelp.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/convert.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/crm.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/delete.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/disconnect.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/down.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/duplicate.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/edit-user.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/edit.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/editor-preview.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/exec.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/exit.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/find.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/flag.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/folder.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/full_text_search.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/graph.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/help.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/hr.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/import.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/info.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/key_bindings.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/leftjust.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/locale.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/manual.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/media_next.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/media_previous.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/mrp.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/new.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/next.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/ok.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/open.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/partner.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/pdf-preview.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/previous.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/print.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/product.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/purchase.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/read-request.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/redo.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/relate.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/reload.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/rightjust.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/sale.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/save.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/send-request.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/stock.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/support-request.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/switch_view.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/text_block.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/text_bold.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/text_center.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/text_italic.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/text_strike.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/text_under.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/tiny.ico' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/tinyerp-icon-16x16.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/tinyerp-icon-16x16.xpm' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/tinyerp-icon-32x32.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/tinyerp-icon-32x32.xpm' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/tinyerp-icon-64x64.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/tinyerp-icon-64x64.xpm' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/tinyerp-icon.ico' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/tinyerp.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/tinyerp_icon.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/trash.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/up.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/images/warning.png' (properties changed: -x to +x)
=== modified file 'Koo/ui/keyboard.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/license.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/link.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/login.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/mainwindow.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/many2many.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/many2one.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/one2many.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/paned.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/preferences.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/progress.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/reference.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/richtext.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/search_date.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/searchform.ui' (properties changed: -x to +x)
--- Koo/ui/searchform.ui	2008-10-24 07:58:46 +0000
+++ Koo/ui/searchform.ui	2009-01-11 13:27:45 +0000
@@ -112,7 +112,7 @@
   <customwidget>
    <class>SearchFormContainer</class>
    <extends>QWidget</extends>
-   <header>Search.SearchFormWidget</header>
+   <header>Koo.Search.SearchFormWidget</header>
    <container>1</container>
   </customwidget>
  </customwidgets>

=== modified file 'Koo/ui/searchreference.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/searchviewitem.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/shortcuts.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/tip.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/translationdialog.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/tree.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/url.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/video.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/web.ui' (properties changed: -x to +x)
--- Koo/ui/web.ui	2008-07-18 23:23:32 +0000
+++ Koo/ui/web.ui	2009-01-11 13:27:45 +0000
@@ -31,7 +31,7 @@
   <customwidget>
    <class>QWebView</class>
    <extends>QWidget</extends>
-   <header>QtWebKit/QWebView</header>
+   <header>PyQt4.QtWebKit</header>
   </customwidget>
  </customwidgets>
  <resources/>

=== modified file 'Koo/ui/win_attach.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/win_export.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/win_import.ui' (properties changed: -x to +x)
=== modified file 'Koo/ui/win_search.ui' (properties changed: -x to +x)
--- Koo/ui/win_search.ui	2008-12-20 12:54:17 +0000
+++ Koo/ui/win_search.ui	2009-01-11 13:27:45 +0000
@@ -108,13 +108,13 @@
   <customwidget>
    <class>SearchFormWidget</class>
    <extends>QWidget</extends>
-   <header>Search</header>
+   <header>Koo.Search</header>
    <container>1</container>
   </customwidget>
   <customwidget>
    <class>Screen</class>
    <extends>QWidget</extends>
-   <header>Screen</header>
+   <header>Koo.Screen.Screen</header>
    <container>1</container>
   </customwidget>
  </customwidgets>

=== modified file 'Koo/ui/win_selection.ui' (properties changed: -x to +x)
=== modified file 'doc/LICENCE.txt' (properties changed: -x to +x)
=== modified file 'doc/Makefile' (properties changed: -x to +x)
=== modified file 'doc/doxygen/koo.doxyfile' (properties changed: -x to +x)
=== modified file 'doc/doxygen/stylesheets/doxygen-footer.html' (properties changed: -x to +x)
=== modified file 'doc/doxygen/stylesheets/doxygen-header.html' (properties changed: -x to +x)
=== modified file 'doc/doxygen/stylesheets/doxygen-tabs.css' (properties changed: -x to +x)
=== modified file 'doc/doxygen/stylesheets/doxygen.css' (properties changed: -x to +x)
=== modified file 'doc/html/c174.html' (properties changed: -x to +x)
=== modified file 'doc/html/c180.html' (properties changed: -x to +x)
=== modified file 'doc/html/c3.html' (properties changed: -x to +x)
=== modified file 'doc/html/c407.html' (properties changed: -x to +x)
=== modified file 'doc/html/c489.html' (properties changed: -x to +x)
=== modified file 'doc/html/c49.html' (properties changed: -x to +x)
=== modified file 'doc/html/c89.html' (properties changed: -x to +x)
=== modified file 'doc/html/c95.html' (properties changed: -x to +x)
=== modified file 'doc/html/fts.png' (properties changed: -x to +x)
=== modified file 'doc/html/index.html' (properties changed: -x to +x)
=== modified file 'doc/html/x109.html' (properties changed: -x to +x)
=== modified file 'doc/html/x167.html' (properties changed: -x to +x)
=== modified file 'doc/html/x252.html' (properties changed: -x to +x)
=== modified file 'doc/html/x343.html' (properties changed: -x to +x)
=== modified file 'doc/html/x359.html' (properties changed: -x to +x)
=== modified file 'doc/html/x371.html' (properties changed: -x to +x)
=== modified file 'doc/html/x374.html' (properties changed: -x to +x)
=== modified file 'doc/html/x377.html' (properties changed: -x to +x)
=== modified file 'doc/html/x389.html' (properties changed: -x to +x)
=== modified file 'doc/html/x425.html' (properties changed: -x to +x)
=== modified file 'doc/html/x441.html' (properties changed: -x to +x)
=== modified file 'doc/html/x453.html' (properties changed: -x to +x)
=== modified file 'doc/html/x456.html' (properties changed: -x to +x)
=== modified file 'doc/html/x459.html' (properties changed: -x to +x)
=== modified file 'doc/html/x471.html' (properties changed: -x to +x)
=== modified file 'doc/html/x523.html' (properties changed: -x to +x)
=== modified file 'doc/html/x77.html' (properties changed: -x to +x)
=== modified file 'doc/html/x91.html' (properties changed: -x to +x)
=== modified file 'doc/src/development.docbook' (properties changed: -x to +x)
=== modified file 'doc/src/filelist.docbook' (properties changed: -x to +x)
=== modified file 'doc/src/fts.png' (properties changed: -x to +x)
=== modified file 'doc/src/installation.docbook' (properties changed: -x to +x)
=== modified file 'doc/src/introduction.docbook' (properties changed: -x to +x)
=== modified file 'doc/src/koo.docbook' (properties changed: -x to +x)
=== modified file 'doc/src/server-modules.docbook' (properties changed: -x to +x)
=== modified file 'doc/src/ui.docbook' (properties changed: -x to +x)
=== modified file 'man/koo.1' (properties changed: -x to +x)
=== modified file 'msgfmt.py' (properties changed: -x to +x)
=== modified file 'mydistutils.py' (properties changed: -x to +x)
=== modified file 'nano-clients/menu/imgs/nan.png' (properties changed: -x to +x)
=== modified file 'nano-clients/menu/menu.qss' (properties changed: -x to +x)
=== modified file 'nano-clients/requests/imgs/background.png' (properties changed: -x to +x)
=== modified file 'nano-clients/requests/imgs/nan.png' (properties changed: -x to +x)
=== modified file 'nano-clients/requests/imgs/read-request.png' (properties changed: -x to +x)
=== modified file 'nano-clients/requests/imgs/tinyerp-icon.ico' (properties changed: -x to +x)
=== modified file 'nano-clients/requests/requests.py' (properties changed: -x to +x)
=== modified file 'nano-clients/requests/requests.theme' (properties changed: -x to +x)
=== modified file 'nano-clients/requests/show-requests.qss' (properties changed: -x to +x)
=== added file 'nsis/koo-installer-old.nsi'
--- nsis/koo-installer-old.nsi	1970-01-01 00:00:00 +0000
+++ nsis/koo-installer-old.nsi	2009-01-11 13:27:45 +0000
@@ -0,0 +1,236 @@
+;NSIS Modern User Interface
+;Start Menu Folder Selection Example Script
+;Written by Joost Verburg
+
+; In order to compile this installer you'll need:
+; a) koo installer (.exe): created with setup.py bdist_wininst
+; b) python installer (.msi): download latest from python website
+; c) python win32 extensions (.exe): download latest form pywin32 website
+; d) pyqt installer (.exe): download latest from pyqt website
+; All these files should be placed in the 'nsis' directory. If versions
+; have changed you might need to modify 'SecTinyERPClient' with the
+; appropiate filenames.
+;
+; Once compiled you should get a file called 'koo-setup.exe' in the 'nsis' 
+; directory.
+;
+; Enjoy!
+
+;--------------------------------
+;Include Modern UI
+
+  !include "MUI.nsh"
+
+;--------------------------------
+;General
+
+  ;Name and file
+  Name "Koo"
+  OutFile "koo-setup.exe"
+
+  ;Default installation folder
+  InstallDir "$PROGRAMFILES\Koo"
+  
+  ;Get installation folder from registry if available
+  InstallDirRegKey HKCU "Software\Koo" ""
+
+  ;Vista redirects $SMPROGRAMS to all users without this
+  RequestExecutionLevel admin
+
+;--------------------------------
+;Variables
+
+  Var MUI_TEMP
+  Var STARTMENU_FOLDER
+
+  
+
+;--------------------------------
+;Interface Settings
+
+  !define MUI_ABORTWARNING
+  
+;--------------------------------
+;Pages
+
+  !insertmacro MUI_PAGE_WELCOME
+  !insertmacro MUI_PAGE_LICENSE "..\doc\LICENCE.txt"
+ # !insertmacro MUI_PAGE_COMPONENTS
+  !insertmacro MUI_PAGE_DIRECTORY
+  
+  ;Start Menu Folder Page Configuration
+  !define MUI_STARTMENUPAGE_REGISTRY_ROOT "HKCU" 
+  !define MUI_STARTMENUPAGE_REGISTRY_KEY "Software\Koo"
+  !define MUI_STARTMENUPAGE_REGISTRY_VALUENAME "Koo"
+  
+  !insertmacro MUI_PAGE_STARTMENU Application $STARTMENU_FOLDER
+  
+  !insertmacro MUI_PAGE_INSTFILES
+
+  !define MUI_FINISHPAGE_NOAUTOCLOSE
+  !define MUI_FINISHPAGE_RUN
+  !define MUI_FINISHPAGE_RUN_CHECKED
+  !define MUI_FINISHPAGE_RUN_TEXT "Start Koo"
+  !define MUI_FINISHPAGE_RUN_FUNCTION "LaunchLink"
+  !define MUI_FINISHPAGE_SHOWREADME_NOTCHECKED
+  !define MUI_FINISHPAGE_SHOWREADME $INSTDIR\README.txt
+  !insertmacro MUI_PAGE_FINISH
+
+  
+  !insertmacro MUI_UNPAGE_WELCOME
+  !insertmacro MUI_UNPAGE_CONFIRM
+  !insertmacro MUI_UNPAGE_INSTFILES
+
+;--------------------------------
+;Languages
+ 
+  !insertmacro MUI_LANGUAGE "English"
+
+;--------------------------------
+;Installer Sections
+
+Section "Koo" SecTinyERPClient
+
+  SetOutPath "$TEMP"
+
+  File "python-2.6.1.msi"
+  File "pywin32-212.win32-py2.6.exe"
+  File "PyQt-Py2.6-gpl-4.4.4-2.exe"
+  File "koo-1.0.0-beta2.win32.exe"
+
+  ExecWait 'msiexec /i "$TEMP\python-2.6.1.msi" /qn TARGETDIR=c:\python26'
+  ExecWait '"$TEMP\pywin32-212.win32-py2.6.exe" /S'
+  ExecWait '"$TEMP\PyQt-Py2.6-gpl-4.4.4-2.exe" /S'
+  ExecWait '"$TEMP\koo-1.0.0-beta2.win32.exe" /S'
+
+  ;Store installation folder
+  #WriteRegStr HKCU "Software\Koo" "" $INSTDIR
+  
+  ;Create uninstaller
+  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Koo" "DisplayName" "Koo (remove only)"
+  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Koo" "UninstallString" "$INSTDIR\Uninstall.exe"
+  WriteUninstaller "$INSTDIR\Uninstall.exe"
+  
+  !insertmacro MUI_STARTMENU_WRITE_BEGIN Application
+    
+    ;Create shortcuts
+    CreateDirectory "$SMPROGRAMS\$STARTMENU_FOLDER"
+    CreateShortCut "$SMPROGRAMS\$STARTMENU_FOLDER\Koo.lnk" "c:\python26\lib\site-packages\koo\koo.py"
+  
+  !insertmacro MUI_STARTMENU_WRITE_END
+
+SectionEnd
+
+;Descriptions
+
+  ;Language strings
+  LangString DESC_SecTinyERPClient ${LANG_ENGLISH} "Koo."
+
+  ;Assign language strings to sections
+  !insertmacro MUI_FUNCTION_DESCRIPTION_BEGIN
+    !insertmacro MUI_DESCRIPTION_TEXT ${SecTinyERPClient} $(DESC_SecTinyERPClient)
+  !insertmacro MUI_FUNCTION_DESCRIPTION_END
+ 
+;--------------------------------
+;Uninstaller Section
+
+Section "Uninstall"
+
+  RMDir /r "c:\python26\lib\site-packages\Koo"
+  RMDir /r "c:\python26\share\koo\"
+  RMDir /r "$INSTDIR"
+
+  !insertmacro MUI_STARTMENU_GETFOLDER Application $MUI_TEMP
+
+  Delete "$SMPROGRAMS\$MUI_TEMP\Koo.lnk"
+  RMDir /r "$SMPROGRAMS\$STARTMENU_FOLDER"
+
+  ;Delete empty start menu parent diretories
+  StrCpy $MUI_TEMP "$SMPROGRAMS\$MUI_TEMP"
+
+  startMenuDeleteLoop:
+    ClearErrors
+    RMDir $MUI_TEMP
+    GetFullPathName $MUI_TEMP "$MUI_TEMP\.."
+
+    IfErrors startMenuDeleteLoopDone
+
+    StrCmp $MUI_TEMP $SMPROGRAMS startMenuDeleteLoopDone startMenuDeleteLoop
+  startMenuDeleteLoopDone:
+
+  DeleteRegKey HKEY_LOCAL_MACHINE "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Koo"
+  DeleteRegKey /ifempty HKCU "Software\Koo"
+
+SectionEnd
+
+Function LaunchLink
+  ExecShell "" "$INSTDIR\lib\site-packages\Koo\koo.py"
+FunctionEnd
+
+Function un.RmDirsButOne
+ Exch $R0 ; exclude dir
+ Exch
+ Exch $R1 ; route dir
+ Push $R2
+ Push $R3
+ 
+  FindFirst $R3 $R2 "$R1\*.*"
+  IfErrors Exit
+ 
+  Top:
+   StrCmp $R2 "." Next
+   StrCmp $R2 ".." Next
+   StrCmp $R2 $R0 Next
+   IfFileExists "$R1\$R2\*.*" 0 Next
+    RmDir /r "$R1\$R2"
+ 
+   #Goto Exit ;uncomment this to stop it being recursive
+ 
+   Next:
+    ClearErrors
+    FindNext $R3 $R2
+    IfErrors Exit
+   Goto Top
+ 
+  Exit:
+  FindClose $R3
+ 
+ Pop $R3
+ Pop $R2
+ Pop $R1
+ Pop $R0
+FunctionEnd
+
+Function un.RmFilesButOne
+ Exch $R0 ; exclude file
+ Exch
+ Exch $R1 ; route dir
+ Push $R2
+ Push $R3
+ 
+  FindFirst $R3 $R2 "$R1\*.*"
+  IfErrors Exit
+ 
+  Top:
+   StrCmp $R2 "." Next
+   StrCmp $R2 ".." Next
+   StrCmp $R2 $R0 Next
+   IfFileExists "$R1\$R2\*.*" Next
+    Delete "$R1\$R2"
+ 
+   #Goto Exit ;uncomment this to stop it being recursive
+ 
+   Next:
+    ClearErrors
+    FindNext $R3 $R2
+    IfErrors Exit
+   Goto Top
+ 
+  Exit:
+  FindClose $R3
+ 
+ Pop $R3
+ Pop $R2
+ Pop $R1
+ Pop $R0
+FunctionEnd

=== modified file 'nsis/koo-installer.nsi' (properties changed: -x to +x)
--- nsis/koo-installer.nsi	2009-01-04 17:18:06 +0000
+++ nsis/koo-installer.nsi	2009-01-11 13:27:45 +0000
@@ -89,60 +89,50 @@
 ;--------------------------------
 ;Installer Sections
 
-Section "Koo" SecTinyERPClient
-
-  SetOutPath "$TEMP"
-
-  File "python-2.6.1.msi"
-  File "pywin32-212.win32-py2.6.exe"
-  File "PyQt-Py2.6-gpl-4.4.4-2.exe"
-  File "koo-1.0.0-beta2.win32.exe"
-
-  ExecWait 'msiexec /i "$TEMP\python-2.6.1.msi" /qn TARGETDIR=c:\python26'
-  ExecWait '"$TEMP\pywin32-212.win32-py2.6.exe" /S'
-  ExecWait '"$TEMP\PyQt-Py2.6-gpl-4.4.4-2.exe" /S'
-  ExecWait '"$TEMP\koo-1.0.0-beta2.win32.exe" /S'
-
-  ;Store installation folder
-  #WriteRegStr HKCU "Software\Koo" "" $INSTDIR
-  
-  ;Create uninstaller
-  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Koo" "DisplayName" "Koo (remove only)"
-  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Koo" "UninstallString" "$INSTDIR\Uninstall.exe"
-  WriteUninstaller "$INSTDIR\Uninstall.exe"
-  
-  !insertmacro MUI_STARTMENU_WRITE_BEGIN Application
-    
+Section "Koo" SecKoo
+
+    SetOutPath "$INSTDIR"
+
+    File /r "..\dist\*"
+
+    ;Store installation folder
+    WriteRegStr HKCU "Software\Koo" "" $INSTDIR
+    
+    ;Create uninstaller
+    WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Koo" "DisplayName" "Koo (remove only)"
+    WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Koo" "UninstallString" "$INSTDIR\Uninstall.exe"
+    WriteUninstaller "$INSTDIR\Uninstall.exe"
+    
+    !insertmacro MUI_STARTMENU_WRITE_BEGIN Application
+      
     ;Create shortcuts
     CreateDirectory "$SMPROGRAMS\$STARTMENU_FOLDER"
-    CreateShortCut "$SMPROGRAMS\$STARTMENU_FOLDER\Koo.lnk" "c:\python26\lib\site-packages\koo\koo.py"
-  
-  !insertmacro MUI_STARTMENU_WRITE_END
+    CreateShortCut "$SMPROGRAMS\$STARTMENU_FOLDER\Koo.lnk" "$INSTDIR\koo.exe"
+    CreateShortCut "$DESKTOP\Koo.lnk" "$INSTDIR\koo.exe"
+    !insertmacro MUI_STARTMENU_WRITE_END
 
 SectionEnd
 
 ;Descriptions
 
   ;Language strings
-  LangString DESC_SecTinyERPClient ${LANG_ENGLISH} "Koo."
+  LangString DESC_SecKoo ${LANG_ENGLISH} "Koo."
 
   ;Assign language strings to sections
   !insertmacro MUI_FUNCTION_DESCRIPTION_BEGIN
-    !insertmacro MUI_DESCRIPTION_TEXT ${SecTinyERPClient} $(DESC_SecTinyERPClient)
+    !insertmacro MUI_DESCRIPTION_TEXT ${SecKoo} $(DESC_SecKoo)
   !insertmacro MUI_FUNCTION_DESCRIPTION_END
  
 ;--------------------------------
 ;Uninstaller Section
 
 Section "Uninstall"
-
-  RMDir /r "c:\python26\lib\site-packages\Koo"
-  RMDir /r "c:\python26\share\koo\"
   RMDir /r "$INSTDIR"
 
   !insertmacro MUI_STARTMENU_GETFOLDER Application $MUI_TEMP
 
   Delete "$SMPROGRAMS\$MUI_TEMP\Koo.lnk"
+  Delete "$DESKTOP\Koo.lnk"
   RMDir /r "$SMPROGRAMS\$STARTMENU_FOLDER"
 
   ;Delete empty start menu parent diretories
@@ -164,73 +154,5 @@
 SectionEnd
 
 Function LaunchLink
-  ExecShell "" "$INSTDIR\lib\site-packages\Koo\koo.py"
-FunctionEnd
-
-Function un.RmDirsButOne
- Exch $R0 ; exclude dir
- Exch
- Exch $R1 ; route dir
- Push $R2
- Push $R3
- 
-  FindFirst $R3 $R2 "$R1\*.*"
-  IfErrors Exit
- 
-  Top:
-   StrCmp $R2 "." Next
-   StrCmp $R2 ".." Next
-   StrCmp $R2 $R0 Next
-   IfFileExists "$R1\$R2\*.*" 0 Next
-    RmDir /r "$R1\$R2"
- 
-   #Goto Exit ;uncomment this to stop it being recursive
- 
-   Next:
-    ClearErrors
-    FindNext $R3 $R2
-    IfErrors Exit
-   Goto Top
- 
-  Exit:
-  FindClose $R3
- 
- Pop $R3
- Pop $R2
- Pop $R1
- Pop $R0
-FunctionEnd
-
-Function un.RmFilesButOne
- Exch $R0 ; exclude file
- Exch
- Exch $R1 ; route dir
- Push $R2
- Push $R3
- 
-  FindFirst $R3 $R2 "$R1\*.*"
-  IfErrors Exit
- 
-  Top:
-   StrCmp $R2 "." Next
-   StrCmp $R2 ".." Next
-   StrCmp $R2 $R0 Next
-   IfFileExists "$R1\$R2\*.*" Next
-    Delete "$R1\$R2"
- 
-   #Goto Exit ;uncomment this to stop it being recursive
- 
-   Next:
-    ClearErrors
-    FindNext $R3 $R2
-    IfErrors Exit
-   Goto Top
- 
-  Exit:
-  FindClose $R3
- 
- Pop $R3
- Pop $R2
- Pop $R1
- Pop $R0
+  ExecShell "" "$INSTDIR\koo.exe"
 FunctionEnd

=== modified file 'rpminstall_sh.txt' (properties changed: -x to +x)
=== modified file 'server-modules/fts-indexes/__init__.py' (properties changed: -x to +x)
=== modified file 'server-modules/fts-indexes/__terp__.py' (properties changed: -x to +x)
=== modified file 'server-modules/fts-indexes/fts-indexes_data.xml' (properties changed: -x to +x)
=== modified file 'server-modules/full_text_search/__init__.py' (properties changed: -x to +x)
=== modified file 'server-modules/full_text_search/__terp__.py' (properties changed: -x to +x)
=== modified file 'server-modules/full_text_search/fts_data.xml' (properties changed: -x to +x)
=== modified file 'server-modules/full_text_search/fts_view.xml' (properties changed: -x to +x)
=== modified file 'server-modules/full_text_search/fts_wizard.xml' (properties changed: -x to +x)
=== modified file 'server-modules/full_text_search/full_text_index.py' (properties changed: -x to +x)
=== modified file 'server-modules/full_text_search/fulltextsearch.py' (properties changed: -x to +x)
=== modified file 'server-modules/full_text_search/wizard/__init__.py' (properties changed: -x to +x)
=== modified file 'server-modules/full_text_search/wizard/index_update.py' (properties changed: -x to +x)
=== modified file 'server-modules/jasper_reports/__init__.py' (properties changed: -x to +x)
=== modified file 'server-modules/jasper_reports/__terp__.py' (properties changed: -x to +x)
=== modified file 'server-modules/jasper_reports/invoice.jrxml' (properties changed: -x to +x)
=== modified file 'server-modules/jasper_reports/jasper.py' (properties changed: -x to +x)
=== modified file 'server-modules/jasper_reports/jasper_report.py' (properties changed: -x to +x)
=== modified file 'server-modules/jasper_reports/jasper_report.xml' (properties changed: -x to +x)
=== modified file 'server-modules/jasper_reports/jasper_view.xml' (properties changed: -x to +x)
=== modified file 'server-modules/jasper_reports/jasper_wizard.xml' (properties changed: -x to +x)
=== modified file 'server-modules/jasper_reports/java/ReportCompiler.java' (properties changed: -x to +x)
=== modified file 'server-modules/jasper_reports/java/ReportCreator.java' (properties changed: -x to +x)
=== modified file 'server-modules/jasper_reports/partner.jrxml' (properties changed: -x to +x)
=== modified file 'server-modules/jasper_reports/wizard/__init__.py' (properties changed: -x to +x)
=== modified file 'server-modules/jasper_reports/wizard/create_data_template.py' (properties changed: -x to +x)
=== modified file 'server-modules/ktiny/__init__.py' (properties changed: -x to +x)
=== modified file 'server-modules/ktiny/__terp__.py' (properties changed: -x to +x)
=== modified file 'server-modules/ktiny/ktiny.py' (properties changed: -x to +x)
=== modified file 'server-modules/ktiny/ktiny_data.xml' (properties changed: -x to +x)
=== modified file 'server-modules/ktiny/ktiny_view.xml' (properties changed: -x to +x)
=== modified file 'server-modules/maps/__init__.py' (properties changed: -x to +x)
=== modified file 'server-modules/maps/__terp__.py' (properties changed: -x to +x)
=== modified file 'server-modules/maps/maps.py' (properties changed: -x to +x)
=== modified file 'server-modules/maps/maps_view.xml' (properties changed: -x to +x)
=== modified file 'server-modules/smart_attach/__init__.py' (properties changed: -x to +x)
=== modified file 'server-modules/smart_attach/__terp__.py' (properties changed: -x to +x)
=== modified file 'server-modules/smart_attach/ocr/pyaspell.py' (properties changed: -x to +x)
=== modified file 'server-modules/smart_attach/smart_attach.py' (properties changed: -x to +x)
=== modified file 'server-modules/smart_attach/smart_attach_view.xml' (properties changed: -x to +x)
=== modified file 'setup.cfg' (properties changed: -x to +x)
=== modified file 'setup.py'
--- setup.py	2008-11-30 22:51:25 +0000
+++ setup.py	2009-01-11 13:27:45 +0000
@@ -14,12 +14,21 @@
 
 from distutils.file_util import copy_file
 from distutils.sysconfig import get_python_lib
-from mydistutils import setup
+from distutils.core import setup
 
 try:
-	import py2exe
+  import py2exe
+
+  # Override the function in py2exe to determine if a dll should be included
+  dllList = ('mfc90.dll','msvcp90.dll')
+  origIsSystemDLL = py2exe.build_exe.isSystemDLL
+  def isSystemDLL(pathname):
+    if os.path.basename(pathname).lower() in dllList:
+      return 0
+    return origIsSystemDLL(pathname)
+  py2exe.build_exe.isSystemDLL = isSystemDLL
 except:
-	pass
+  pass
 
 opj = os.path.join
 
@@ -51,53 +60,36 @@
 def data_files():
 	'''Build list of data files to be installed'''
 	files = [
-		(opj('share','man','man1',''),['man/koo.1']),
-		(opj('share', 'doc', 'koo', 'manual' ), [f for f in glob.glob('doc/html/*') if os.path.isfile(f)]),
-		(opj('share', 'doc', 'koo', 'api' ), [f for f in glob.glob('doc/doxygen/html/*') if os.path.isfile(f)]),
-		(opj('share', 'Koo'), ['Koo/kootips.txt']),
-		(opj('share', 'Koo', 'ui'), glob.glob('Koo/ui/*.ui')),
-		(opj('share', 'Koo', 'ui', 'images'), glob.glob('Koo/ui/images/*.png')),
-		(opj('share', 'Koo', 'l10n'), glob.glob('Koo/l10n/*.qm'))
+		(opj('share','man','man1',''),[ opj('man','koo.1')]),
+		(opj('share', 'doc', 'koo', 'manual' ), [f for f in glob.glob(opj('doc','html','*')) if os.path.isfile(f)]),
+		(opj('share', 'doc', 'koo', 'api' ), [f for f in glob.glob(opj('doc','doxygen','html','*')) if os.path.isfile(f)]),
+		(opj('share', 'Koo'), [ opj('Koo','kootips.txt')]),
+		(opj('share', 'Koo', 'ui'), glob.glob( opj('Koo','ui','*.ui') ) ),
+		(opj('share', 'Koo', 'ui', 'images'), glob.glob( opj('Koo','ui','images','*.png') ) ),
+		(opj('share', 'Koo', 'l10n'), glob.glob( opj('Koo','l10n','*.qm')) )
 	]
 	return files
 
-included_plugins = ['workflow_print']
-
-def findPlugins():
-	result = []
-	for plugin in included_plugins:
-		path=opj('Koo', 'Plugins', plugin)
-		for dirpath, dirnames, filenames in os.walk(path):
-			if '__init__.py' in filenames:
-				result.append( dirpath.replace(os.path.sep, '.') )
-	return result
-
-def findViews():
-	result = []
-	views = [x for x in glob.glob('Koo/View/*') if os.path.isdir(x)]
-	for view in views:
-		for dirpath, dirnames, filenames in os.walk(view):
-			if '__init__.py' in filenames:
-				result.append( dirpath.replace(os.path.sep, '.') )
-	return result
-
-def findFieldWidgets():
-	result = []
-	views = [x for x in glob.glob('Koo/FieldWidgets/*') if os.path.isdir(x)]
-	for view in views:
-		for dirpath, dirnames, filenames in os.walk(view):
+def findPlugins( module ):
+	result = []
+	plugins = [x for x in glob.glob( opj('Koo', module,'*') ) if os.path.isdir(x)]
+	for plugin in plugins:
+		for dirpath, dirnames, filenames in os.walk(plugin):
 			if '__init__.py' in filenames:
 				result.append( dirpath.replace(os.path.sep, '.') )
 	return result
 
 def translations():
     trans = []
-    dest = 'share/locale/%s/LC_MESSAGES/%s.mo'
-    for po in glob.glob('Koo/l10n/*.po'):
+    dest = opj('share','locale','%s','LC_MESSAGES','%s.mo')
+    for po in glob.glob( opj('Koo','l10n','*.po') ):
         lang = os.path.splitext(os.path.basename(po))[0]
         trans.append((dest % (lang, name), po))
     return trans
 
+
+
+
 long_desc = '''\
 =====================================
 Koo Client and Development Platform
@@ -138,6 +130,22 @@
 # todo: use 
 command = sys.argv[1]
 
+packages = [
+	'Koo', 
+	'Koo.Actions', 
+	'Koo.Common', 
+	'Koo.Dialogs',
+	'Koo.KooChart',
+	'Koo.Model',
+	'Koo.Plugins',
+	'Koo.Printer',
+	'Koo.Rpc',
+	'Koo.Screen',
+	'Koo.Search',
+	'Koo.View',
+	'Koo.Fields',
+        ] + findPlugins('Plugins') + findPlugins('View') + findPlugins('Fields')
+
 setup(name             = name,
       version          = version,
       description      = "Koo Client",
@@ -149,24 +157,18 @@
       license          = 'GPL',
       data_files       = data_files(),
       translations     = translations(),
-      pot_file         = 'Koo/l10n/koo.pot',
+      pot_file         = opj('Koo','l10n','koo.pot'),
       scripts          = ['koo.py'],
-      packages         = ['Koo', 
-                          'Koo.Actions', 
-                          'Koo.Common', 
-			  'Koo.Dialogs',
-			  'Koo.KooChart',
-			  'Koo.Model',
-			  'Koo.Plugins',
-			  'Koo.Printer',
-			  'Koo.Rpc',
-			  'Koo.Screen',
-			  'Koo.Search',
-			  'Koo.View',
-			  'Koo.FieldWidgets',
-                          ] + findPlugins() + findViews() + findFieldWidgets(),
+      windows          = [{'script': opj('Koo','koo.py')}],
+      #console          = ['Koo/koo.py'],
+      packages         = packages ,
       package_dir      = {'Koo': 'Koo'},
-      provides         = [ 'Koo' ]
+      provides         = [ 'Koo' ],
+      options          = { 'py2exe': {
+                                'includes': ['sip', 'PyQt4.QtNetwork',
+					'PyQt4.QtWebKit'] + packages 
+                                }
+                         }
       )
 
 

